<!DOCTYPE html>
<html lang="en-US">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<body>
	 <div ng-app="myApp" w3-test-directive></div>

	<script>
	var app = angular.module("myApp", []);

	app.directive("w3TestDirective", function() {
	  return {
		template : "I was made in a directive constructor!"
	  };
	});
	</script> 
	
	<a href="https://www.w3schools.com/angular/angular_ref_directives.asp">all directives</a>
</body>
</html> 